# my episodes

[![Build Status](https://travis-ci.org/mthssdrbrg/my_episodes.png?branch=master)](https://travis-ci.org/mthssdrbrg/my_episodes)
[![Coverage Status](https://coveralls.io/repos/mthssdrbrg/my_episodes/badge.png?branch=master)](https://coveralls.io/r/mthssdrbrg/my_episodes?branch=master)

[My Episodes](http://www.myepisodes.com) helps one keep track of one's TV shows,
but unfortunately there's no API or no built-in functionality for exporting
one's history, hence this gem.

There's a simple bin script, `myeps`, that can be used to dump your history to
standard out (and then you can pipe it to a file or whatever).

## Installation

```
gem install my_episodes
```

## Usage

```
Usage: myeps [options]
    -D, --dump                       Dump history from myepisodes.com to CSV
    -u, --username=USERNAME          Username for myepisodes.com
    -p, --password=PASSWORD          Password for myepisodes.com
    -s, --separator=SEP              Separator for CSV output
    -h, --help                       You're looking at it
```

## Copyright

Released under the [MIT License](http://www.opensource.org/licenses/MIT) :: 2014 Mathias Söderberg.
